Reportserver
============

Reportserver is a component of the eFa (elektronische Fallakte) ecosystem.


INSTALL development:
1. Create an virtual environment and activate it.

2. Clone the repo 
     git clone /usr/local/src/reportserver.git

3. Install the requirements 
     cd reportserver
     pip install -r requirements.txt
     pip install -r requirements_devel.txt

4. Create a database
     createdb example-eval-db1

5. Copy settings.py.sample settings.py
     cp settings.py.sample settings.py

6. Edit settings.py:
   a) DATABASES database NAME
   b) PROGRAM to current program 
        (e.g. 'WASKIQ' or 'EC')
   c) Add ALLOWED_HOSTS 
        (e.g. ALLOWED_HOSTS =[u'waskiq-dev.hq.intevation.de'])
   d) Modify SUB_SITE / STATIC_URL / STATIC to your environment.
        (e.g. 
           SUB_SITE = "" 
           STATIC_URL = "/static/" 
           # Comment this out:
           # STATIC = '/static/'
   e) Add DATES2_LUT_PATH
        DATES2_LUT_PATH=/path/to/lut.txt
      The dates2 lut table is a semicolon-sv-file with the columns
        ANTRAGSNR;REGKAT;GUID
      without a header
   
   f) Add settings for DATES2 Export:
      Example:
   		DATES2_OI_INDICATORS = ['CO01', 'CO02', 'CO03', 'CO04', 'CO05', 'CO06', 'CO07',
        	                	'CO08', 'CO09', 'CO10', 'CO11', 'CO12', 'CO13', 'CO14',
            	            	'CO15', 'CO16', 'CO17', 'CO18']
		DATES2_RI_INDICATORS = ['CR01', 'CR02', 'CR03', 'CR04', 'CR05',]

   g) Add settings for AVAILABLE_DOCUMENTS:
      Example:
                AVAILABLE_DOCUMENTS = { "participants": "documentname for pt"
		                        "participations" "documentname for pn"}

7. Edit settings_global.py
   For development set SESSION_COOKIE_SECURE = False

8. Init database 
     python manage.py migrate

9. Create user
     python manage.py createuser --username mike --password '1q2w3e4r5t6z'

10. Prepare an transferfile by exporting from a sample database
    Ensure, that the sample database and installation fulfill the 
    requirements under 
    https://waskiq-intern.intevation.de/Auswertungsserver#line-14
    
      efa/scripts/reportserver_scripts/efa-aws-export.sh -a $programm \
            -w $path/whitelists/whitelist.txt \
            -d /tmp/ development.ini

11. Import the transferfile to populate the database
      psql -1 -f import-$programmname-$date $database

Now you can run the server and login as user and use the exports.

To start the development server:

1. Do the steps above
2. $ python manage.py runserver 0.0.0.0:8000


TODO:
manage.py -> reportserver-admin
