# -*- coding: utf-8 -*-

import datetime
from django.conf import settings


def get_datepicker_context():
    program = settings.PROGRAM
    context = {
            "start": "",
            "end": "",
            "is_esf": program != "WASKIQ",
            }
    if context["is_esf"]:
        context["start"] = "01.01.2015"
        context["end"] = datetime.date.today().strftime("%d.%m.%Y")
    return context


def include_filter_options(context, url_name, fslist, rlist, blist):
    context["need_or_filter"] = "1"
    context["url_name"] = url_name
    context["nuts1_list"] = fslist
    context["regioncategory_list"] = rlist
    context["beneficiary_list"] = blist
    return context
